Subject: See the young man in this picture? He was 18years old when he was taken at the train station in Mobile, Alabama in 1952. There is $1.50 in his pock...
From: World History <[email-masked]>
To: [email-masked]
Date: Tue, 10 May 2022 11:58:59 +0000

Trending Stories from World History

-----

See the young man in this picture? He was 18years old when he was taken at the train station in Mobile, Alabama in 1952. There is $1.50 in his pocket. In that bag by his foot are two changed of clothes.( And if his mama was anything like most other mamas in the south, probably some sandwiches and other snacks). He was on his way to Indiana to take a job.

He was going to play baseball for the Indy clowns of the Negros Leagues. Apparently, he was pretty good at it. He played for the Milwaukee Braves for 2 seasons, and for the Milwaukee Braves, before later following them to Atlanta. Eventually, he was the last Negro League player to be on a major league roster.

He still hangs around the baseball world. At the moment, he’s the senior Vice President of the Atlanta Braves. Even though the team has changed stadium twice since then, his retired number, 44, still hangs on the outfield wall of the old Atlanta- Fulton County stadium near where he belted a homer to break Babe Ruth’s all time record( which he held for 33years).

Happy (belated) 85th birthday to “ Hammerin” Hanks Aaron( Born February 5, 1934).

Read More: https://www.quora.com/qemail/track_click?aoid=3wXa5r9DMsW&aoty=4&aty=4&cp=0&ct=1652183936997605&et=146&id=e5412e52acf546b480f64b56a7548ccc&notif_type=418&request_id=418&snid=36348151397&src=1&st=1652183937006231&stories=%5B(%3Cstory_types.tribe_post%3A+10%3E%2C+46726704)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+63208701)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+64330446)%5D&tribe_item_ids=F1NJMCun3lW%7CVco38VFTv2B%7CLEiS7JDZ7BS&uid=FBLnBubrIia&v=0
-----
Question: Biden has unified the West, revived NATO, stood up against China, got the USA out of Afghanistan yet 81% of Republicans disapprove of the way he is handling the Russian invasion of Ukraine. What would they like him to do to support him?

Answer from Poop Loops

I'll start off and say I am not a Republican by any means but I, as well as many Abolishonists, libertarians, socialists, and agorists, passionately disapprove of Biden's admi
Read More: https://worldhistory.quora.com/Biden-has-unified-the-West-revived-NATO-stood-up-against-China-got-the-USA-out-of-Afghanistan-yet-81-of-Republicans-7
-----

Answer from Peter Spering

Historical? What about right now?

The Spanish Legion has been sexing up their look ever since Major Adolfo Vara del Rey allowed the open shirt style which, understandably, be
Read More: https://www.quora.com/Which-historical-military-uniform-was-the-most-inappropriate-for-the-battlefield/answer/Peter-Spering-1
-----

-----
To control which emails we send you, visit: https://www.quora.com/qemail/track_click?aoid&aoty=14&aty=4&cp=0&ct=1652183936997605&et=146&id=e5412e52acf546b480f64b56a7548ccc&notif_type=418&request_id=418&snid=36348151397&src=1&st=1652183937006231&stories=%5B(%3Cstory_types.tribe_post%3A+10%3E%2C+46726704)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+63208701)%2C+(%3Cstory_types.tribe_post%3A+10%3E%2C+64330446)%5D&tribe_item_ids=F1NJMCun3lW%7CVco38VFTv2B%7CLEiS7JDZ7BS&uid=FBLnBubrIia&v=0

To unsubscribe from this type of email, visit: https://www.quora.com/email_optout/qemail_unsubscribe?email_track_id=e5412e52acf546b480f64b56a7548ccc&t=1652183937116658&token=4c5ba0031ca006af4b51c9ff268bc0f3fe5b2612227a974277d56997ff63698265537a7ffde616c7375607d2948c7b2afa38e5c3f2e4a9ee232d39638088f68e&type=146&uid=1260103732